**`Srinivas Nakka`[NAME]** -NL- Mobile: +44 (0)7952912595 Email: **`srini.nakka@kanakaitsolutions.com`[EMAILS_EMAIL]** -NL- Address: Rowe Walk, Harrow, United Kingdom -NL- LinkedIn: www.linkedin.com/in/srinivasnakka -NL- **`Profile`[WORK_EXPERIENCE_HEADING]** -NL- Seeking an opportunity to work as a DevOps professional to obtain a position that will enable me to use my -NL- Technical and organization skills to contribute in the organizational goal. And offer me suitable environment. Where -NL- my technical skills will be utilized and developed. Also worked on various AWS cloud platform projects and tools to -NL- automate & migrate enterprise Infrastructure from on-premises to AWS Cloud. Also, worked extensively on data -NL- storage platform like HDS, HP and EMC Storage in the design, implementation and administration. -NL-  Expertise in Infrastructure service delivery, Subject Matter Expert, Enterprise Storage, Enterprise Server, -NL- Cloud, Datacentre Migration/Consolidation, Hardware management, Project management, Presales, Post -NL- sales, Client-Facing Support, Customer relationship management (dealing with stakeholders) and Team -NL- management -NL-  Efficient team leader & player, adept in updating new technologies with sound communication, interpersonal, -NL- problem resolution, training, analytical and leadership skills -NL-  Proficient in Designing, Developing & implementing technical infrastructural solutions and facilitating -NL- organizations in increasing return of investment (ROI) and minimizing total cost of ownership (TCO), CAPEX -NL- & OPEX -NL-  Extensive technical skills in Cloud Technology – Amazon Web Services, EC2, VPC, Route53, Elastic Load -NL- balancer, RDS, DynamoDB, Kinesis, CloudWatch, CloudFormation, Lambda, Autoscaling, S3, Storage -NL- Gateways and IAM. -NL-  Scripts and automation tools used to migrate data to cloud, AWC CLI, Python, Boto3, PowerShell, -NL- CloudFormation, Chef, Ansible and Terraform -NL-  Extensive Data storage skills on enterprise arrays NetApp - FAS, ES, AFF, FlexPod, Command Suite, Cloud -NL- Manager; AWS/Azure &; **`Hitachi `[EMPLOYER_COMPANY_NAME]**- VSP, USP, USPV, HFS, HCP, HUS & HNAS Series Storages; Hitachi ID -NL- Identity and Access Management; EMC – VMAX3 Series Storage; HPE – XP, Amazon AWS, Microsoft -NL- Azure, vCloud Air, Google Cloud, G Suite, Office365 Deployment/Migration, Windows and RedHat -NL- **`Summary:`[SUMMARY_HEADING]** -NL-  3 years of experience on AWS cloud platform as a DevOps Implementing, supporting & troubleshooting -NL- servers and storage. -NL-  Implemented an automated solution for the entire infrastructure using Python, Terraform & Ansible to -NL- provision a CI environment which consisted of Jenkins, Artifactory, PostgreSQL and Jenkins Job Builder. -NL- This CI environment contained a number of pipelines in Jenkins for various micro services / applications. -NL-  14 years data storage experience in Blue Chip IT consultancy -NL-  Design, Implementation and support on AWS cloud Infrastructure to end customer. -NL-  Linux, Solaris, HP UX, Windows, VMware and Hyper V administration -NL-  Migrated several SME environments to Public Cloud infrastructure from legacy single node environments to -NL- develop resilient and elastic environments which can grow and cater to their growing customer base. -NL-  Design and implement the environments based on current and expected capacity. -NL-  Setup Load-Balanced web services behind ELB, customized storage and backup solutions using S3, LAMP -NL- stacks on EC2 environments, multi-domain email servers and Percona MySQL clusters as well as RDS -NL- Master-Slave configuration for high availability. -NL-  Have a very good understanding and hands-on on AWS infrastructure offerings. -NL-  Gained AWS-Certified Solutions Architect - Associate level certification and Pursuing AWS Professional -NL- Certification, Microsoft-Azure and Google Apps for Work administrator to have complete understanding of -NL- service offerings and implementation for prospects who want to move to the cloud; ranging from SME’s to -NL- Enterprises. -NL-  Hitachi Data Systems certified in Enterprise Storage (VSP) and Hitachi Network Attached Storage (HNAS) -NL-  Design and implement **`Hitachi `[EMPLOYER_COMPANY_NAME]**& EMC replication solutions for enterprise storage systems -NL-  Lead migrations from legacy systems to Hitachi enterprise Block and File Storage systems -NL-  Design, implement and support Brocade & Cisco Storage Area Network switches -NL-  Design, implement and manage Hitachi Storage Cluster (HSC) software -NL- **`Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`DevOps & SAN `[EMPLOYER_ROLE]**- **`Tesco`[EMPLOYER_COMPANY_NAME]** (London) -NL- Sep 2014 to Dec 2017 -NL- Report to **`Tesco`[EMPLOYER_COMPANY_NAME]** Project Managers and worked as a DevOps Implementing & supporting various cloud projects and -NL- migrating existing applications to AWS cloud. Using automation tools like Ansible, Terraform & CloudFormation. -NL-  Providing end-to-end support to complete AWS Cloud environment for more than 100+ Instances & other -NL- services in all regions -NL-  Worked as part of Cloud team to setup Dev/Test environment on AWS and migrate to production -NL- environment, primarily on Tier 3 web architecture. -NL-  Build and maintenance of custom deployment and provisioning service for Linux Servers. -NL-  Working on AWS services like EC2, VPC, ELB, CloudFront, CloudFormation, Route53, DynamoDB, RDS, -NL- S3, Kinesis, Lambda, SQS, IAM, SNS, etc. -NL-  Scripting and Automation tools used to manage and migrate data are, AWC CLI, GitHub, Python, Boto3, -NL- PowerShell, CloudFormation, Chef, Ansible and Terraform. -NL-  Assisted with the automation of various manual tasks and the improvement of existing automated tasks to -NL- help evolve the CI/CD infrastructure / process using Jenkins & TeamCity. -NL-  Responsible for Production, Staging and QA deployment. -NL-  Responsible for handling the troubleshooting in the servers. -NL-  Monitoring Applications and Instance health with Cloud Watch and Config tool. -NL-  Working with AWS team in migration of on premises application to AWS cloud. -NL-  Manage HP enterprise storage array and migrate data from on-premises to AWS cloud. -NL- **`Sr. Storage Migration Consultant`[EMPLOYER_ROLE]** – **`Bank of Tokyo`[EMPLOYER_COMPANY_NAME]** -NL- Aug 2013 to Aug 2014 -NL- Reporting to **`Bank of Tokyo`[EMPLOYER_COMPANY_NAME]** - IT Compute Manager and Project Managers. Providing HDS SAN Storage consultancy -NL- for Investment Banking Applications -NL-  Lead SAN remediation and migration from legacy EMC arrays to Hitachi Data Systems enterprise SAN -NL- Storage and File Storage platforms including VSP, HUS and HNAS systems. -NL-  Responsible for planning and executing migrations of enterprise storage for OPF (Open Payment -NL- Framework), Payment Gateway, Biztalk, Cognos & MQ banking systems. -NL-  Working with Hitachi Data Systems Pre-Sales, Solution Architects and Project Mangers as well as Bank of -NL- Tokyo Architects, Server and VMware Operations and Project Managers. -NL- Hitachi **`Storage Consultant `[EMPLOYER_ROLE]**(Sefton Park, England) -NL- Dec 2011 to July 2013 -NL- Reporting to Nokia Managed Service Team Leader. Providing full-managed services storage to Nokia and for ad hoc -NL- projects. Enterprise Virtualised Storage Platform (VSP), Hitachi Modular Storage (AMS) and Hitachi Network -NL- Attached Storage (HNAS), Business Continuity and Disaster Recovery. -NL-  Level 2 and Level 3 support and critical issue resolution on Windows, Linux, Solaris, HP UX, VMware and -NL- Hyper V operating systems hosts. Performance and Capacity reporting for Enterprise Block and File Storage -NL- Systems. -NL-  Provides Hitachi consultancy to Nokia for Solution implementation using TrueCopy™, ShadowImage™, -NL- Copy-on-write™ and Hitachi Universal Replicator. Lead technical solution development for migrations. -NL- Hitachi Migration **`Storage Consultant`[EMPLOYER_ROLE]** **`NOKIA`[EMPLOYER_COMPANY_NAME]** (Finland) -NL- July 2010 to Aug 2011 -NL- Reporting to migration project manager and accountable for migration run book, design and configuration of **`Hitachi `[EMPLOYER_COMPANY_NAME]**-NL- storage systems -NL-  Administer Hitachi Enterprise storage platforms business continuity software, TrueCopy™, ShadowImage™, -NL- Copy-on-Write™ and Hitachi Universal Replicator. -NL-  Performance and Capacity reporting using Hitachi Tuning Manager and Device Manager -NL-  Administer 2 HNAS High Performance BlueArc Titans 3090, NAS platform serving Windows CIFS / NFS -NL-  Administer Cisco MDS 9500 series director switches -NL-  Host based data migration from enterprise EMC to Hitachi enterprise USP-V, VSP and AMS storage systems -NL- and software to meet Nokia IT Service Catalogue service levels -NL-  Migration and Implementation of Hitachi Storage Cluster (HSC) from HP Metro cluster on EMC SRDF -NL-  Design and implement data migration of VMware farm using VMotion -NL-  Storage infrastructure assessment of legacy EMC modular enterprise storage systems in preparation for -NL- migration -NL- **`SAN Consultant `[EMPLOYER_ROLE]**– Brocade / Tata India -NL- January to June 2010 -NL- Reporting to Project Manager and accountable for designing, Implementation and migration of enterprise EMC, HP- -NL- XP 12000 storage to Hitachi USP-VM enterprise storage virtualized with Hitachi AMS 2000 storage. -NL-  Hardware Implementation of Hitachi Enterprise storage USPV-VM -NL-  Hardware Implementation of Hitachi AMS2500 and AMS2100 modular storages with high-density disks -NL-  Virtualization of Hitachi AMS2500, AMS2100, EMC-DMX and HP XP1024 with USP-VM storage -NL-  Plan and implement online SAN switch merging and firmware upgrade. -NL-  Implement Data Centre Fabric Manager (DCFM) -NL-  Reporting to Project Manager and accountable for designing, Implementation and migration of enterprise EMC, -NL- HP-XP 12000 storage to Hitachi USP-VM enterprise storage virtualized with Hitachi AMS 2000 storage. -NL- **`SAN Consultant `[EMPLOYER_ROLE]**– **`HDS / Tata / Bluedart`[EMPLOYER_COMPANY_NAME]** India -NL- May 2009 to June 2010 -NL- Professional Services Consultant working for Hitachi Data Systems India. -NL-  Implementation of new EMC-CX4 storage systems and migrate existing EMC CX3 storage to EMC-CX4 storage -NL- with minimal downtime of application. -NL-  Deployment of Brocade DMM (Data Migration Manager) -NL- **`Storage Consultant `[EMPLOYER_ROLE]**– **`HDS – ICICI Bank`[EMPLOYER_COMPANY_NAME]** India -NL- January to June 2010 -NL- Reporting to Project Manager and accountable for designing, Implementation and migration of enterprise EMC, HP- -NL- XP 12000 storage to Hitachi USP-VM enterprise storage virtualized with Hitachi AMS 2000 storage -NL-  Hardware Implementation of Hitachi Enterprise storage USPV-VM and virtualised Hitachi AMS2500 and -NL- AMS2100 modular storages with high-density disks. -NL-  Virtualization of Hitachi AMS2500, AMS2100, EMC-DMX and HP XP1024 with USP-VM storage. -NL-  Banking data migration EMC-DMX to HDS USP-VM and AMS storages using Hitachi Tiered Storage Manager. -NL-  Performance report and recommendation for all critical applications using Hitachi Tuning Manager. -NL- **`SAN and Storage Engineer `[EMPLOYER_ROLE]**– HDS / HDFC Bank India -NL- April 2007 to May 2009 -NL- Reporting to Project Manager and accountable for designing, Implementation and migration of enterprise EMC, HP- -NL- XP 12000 storage to Hitachi USP-VM enterprise storage virtualized with Hitachi AMS 2000 storage. -NL- **`Storage Engineer `[EMPLOYER_ROLE]**– **`Ashtech InfoTech`[EMPLOYER_COMPANY_NAME]** India -NL- January 2005 to March 2007 -NL- Reporting to Director IT and accountable for Implementation and configuration of Sun server hardware and **`Hitachi `[EMPLOYER_COMPANY_NAME]**-NL- modular storages -NL- **`Customer Support Engineer `[EMPLOYER_ROLE]**– **`Allied Digital `[EMPLOYER_COMPANY_NAME]**-NL- Dec 2000 to Dec 2004 -NL- **`Education`[EDUCATION_HEADING]** -NL- Bachelor of Science - **`Math’s`[EDUCATION_COURSE]** First Class -NL- **`Madurai Kamaraj University`[EDUCATION_INSTITUTE]** -NL- **`Technical Certifications`[OTHERS_HEADING]** -NL- AWS Certified Solution Architect Associate. -NL- AWS Certified Solution Architect Professional – In progress -NL- Hitachi Data Systems Storage Foundation – Enterprise VSP Storage -NL- Hitachi Data Systems Certified Enterprise Storage Implementation -NL- Hitachi Data Systems Certified HNAS Implementation -NL- Brocade Certified Fabric Professional (BCFP) -NL- Brocade Certified Storage Area Network Designer (BCSD) -NL- Sun Certified System Administrator Solaris 9 (SCSA) L - I &II -NL- **`Skills`[SKILLS_HEADING]** -NL- Cloud Platform -NL- Operating Systems – Windows, RHEL, CentOS, SLES / Unix - Solaris, AIX -NL- CI/CD Tools - -NL- Jenkins & TeamCity. -NL- Automation Tools - -NL- Terraform, Ansible, Chef and CloudFormation -NL- Web Servers - -NL- Nginx, Apache, HIS, WordPress -NL- Application Servers – Wildfly, Tomcat, WAS, PhpMyAdmin -NL- Databases - -NL- PostgreSQL, Oracle, DB2, MySQL -NL- Scripting / Languages – Python, Boto3, Ruby, PowerShell, BASH, KSH, YAML, XML, JSON. -NL- Build Tools - -NL- Maven, ANT -NL- Other - -NL- HTTP, HTTPS, TCP/IP, SSH, SSL, DNS -NL- Methodologies - -NL- Agile (Scrum, Kanban), Waterfall -NL- Storage Platform -NL- Hitachi VSP, HUS150, Hitachi USP 1100, Hitachi USP V, Hitachi USP-VM Sun Storage -NL- 6140, Sun Storage 6130, Sun Storage 3511, IBM Enterprise 8100, IBM FastT900, EMC- -NL- CX4, EMC-DMX and EMC-VMAX.Brocade Director switches DCX, DCX-4, 48000, 12000, -NL- 7500 FCIP Router and DMM appliance. Cisco SAN fabric 9500 series -NL- Operating System -NL- Solaris 2.9 , 2.10 (SPARC & x86), RedHat Linux Enterprise Edition 3, VMware 4.5, 5.0 & -NL- 5.5 and HP UX 11.x, Windows Enterprise Servers. -NL- **`Personal Details`[PERSONAL_DETAILS_HEADING]** -NL- Nationality: -NL- Indian -NL- Visa status: -NL- Indefinite Leave to Remain. (ILR) -NL- **`Hobbies:`[OTHERS_HEADING]** -NL- Football, travelling & reading. -NL- 